import com.google.code.sagetvaddons.sjq.network.ServerClient;
import com.google.code.sagetvaddons.metadata.Factory;

// What directory are we moving archives to?
File dest = new File("\\\\nas\\");

// Queued tasks are marked with this metadata value
String SJQ4_QUEUED = "SJQ4_ARCHIVED";

// Are we running on Windows?  File names are not case sensitive on Windows so we need to handle that
boolean isWindows = System.getProperty("os.name").contains("Windows");

ServerClient clnt = new ServerClient();
int i = 0;
for(Object mediaFile : MediaFileAPI.GetMediaFiles("T")) {
    String filePath = MediaFileAPI.GetFileForSegment(mediaFile, 0).getAbsolutePath();
    if(isWindows)
        filePath = filePath.toLowerCase();
    // If the media file is already stored on the NAS, it's already been queued or it's actively recording then just skip it
    if(filePath.startsWith(isWindows ? dest.toString().toLowerCase() : dest.toString()) ||
        MediaFileAPI.GetMediaFileMetadata(mediaFile, SJQ4_QUEUED).equals("1") ||
        MediaFileAPI.IsFileCurrentlyRecording(mediaFile))
        continue;
        
    // ADD YOUR SPECIFIC CRITERIA FOR ARCHIVING BELOW
    // If the archive flag is set then archive it
    if((MediaFileAPI.IsLibraryFile(mediaFile) && MediaFileAPI.IsTVFile(mediaFile)) ||
        // If it's one of my syndicated shows then archive it
        MediaFileAPI.GetMediaTitle(mediaFile) ==~ /Seinfeld|Night Court|Three's Company|Family Guy|Married \.\.\. With Children|The Fresh Prince of Bel-Air/ ||
        // If it's more than 365 days old then archive it
        System.currentTimeMillis() - MediaFileAPI.GetFileEndTime(mediaFile) > (365L * 86400000L) ||
        // If it's a movie, but not a documentary then archive it
        (ShowAPI.GetShowCategory(mediaFile).equals("Movie") && !ShowAPI.GetShowSubCategory(mediaFile).equals("Documentary"))) {
        
        clnt.addTask("MVMEDIA", Factory.getMap(mediaFile));
        MediaFileAPI.SetMediaFileMetadata(mediaFile, SJQ4_QUEUED, "1");
    }
}
clnt.close();
return 0;