/*
   Pretest for moving media files

   Last Modified: 15 Nov 2010
          Author: Derek Battams <derek AT battams DOT ca>

   Use this script as the pretest for deciding when it is "safe" to move
   a media file.  In this example, I decide it's only safe to move my
   media when there are no active client/extender connections to my
   SageTV server and there are no active recordings in progress.  Each
   of these options can be disabled and, of course, you're free to tweak
   the conditions as necessary for your environment.
*/

def noActiveRecs = true;       // When true, don't move a file when there's an active recording in progress
def noConnectedClients = true; // When true, don't move a recording anytime there's at least one client/extender connected to the SageTV server

if(noActiveRecs && Global.GetCurrentlyRecordingMediaFiles().length > 0) {
	println("Active recordings detected; returning task to queue!")
	return 1
}

if(noConnectedClients && (Global.GetConnectedClients().length > 0 || Global.GetUIContextNames().length > 0)) {
	println("Connected clients/extenders detected; return task to queue!")
	return 1
}

return 0